dht::Select Class Reference

Serializable Value field selection. More...

`#include <value.h>`

## Public Member Functions

| Select (const std::string &q_str)
bool | isSatisfiedBy (const Select &os) const
Select & | field (Value::Field field)
std::set< Value::Field > | getSelection () const
template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (const msgpack::object &o)
std::string | toString () const

## Friends

OPENDHT_PUBLIC friend std::ostream & | operator<< (std::ostream &s, const dht::Select &q)

## Detailed Description

Serializable Value field selection.

This is a container for a list of FieldSelectorDescription instances. It describes a complete SELECT query for dht::Value.

Definition at line 686 of file value.h.

## Constructor & Destructor Documentation

## Select()

dht::Select::Select | ( |  | ) |

inline

Definition at line 688 of file value.h.

## Member Function Documentation

## field()

Select & dht::Select::field | ( | Value::Field | field | ) |

inline

Selects a field of type Value::Field.

Parameters

  field | the field to require.

Returns
  the resulting Select instance.

Definition at line 700 of file value.h.

## getSelection()

std::set< Value::Field > dht::Select::getSelection | ( |  | ) | const

inline

Computes the set of selected fields based on previous require* calls.

Returns
  the set of fields.

Definition at line 711 of file value.h.

## msgpack_pack()

template<typename Packer >

void dht::Select::msgpack_pack | ( | Packer & | pk | ) | const

inline

Definition at line 716 of file value.h.

## msgpack_unpack()

void dht::Select::msgpack_unpack | ( | const msgpack::object & | o | ) |

inline

Definition at line 717 of file value.h.

## toString()

std::string dht::Select::toString | ( |  | ) | const

inline

Definition at line 721 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h